/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

.scroll-hide {
    overflow: hidden;
}

/*header css start*/
.elementor-location-header .default_logo {
    z-index: 1;
    transition: all 0.3s ease;
}

.elementor-location-header .white_logo {
    z-index: 0;
    position: absolute;
    inset: 0;
    transition: all 0.3s ease;
}

.elementor-location-header:not(.open) .white_logo {
    opacity: 0;
    visibility: hidden;
}

.elementor-location-header>.elementor-element.elementor-sticky--effects {
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

.elementor-location-header>.elementor-element>.e-con-inner {
    transition: padding 0.3s ease !important;
}

.elementor-location-header>.elementor-element>.e-con-inner>.elementor-element {
    transition: width 0.3s ease !important;
}

/*header css end*/

/*footer css start*/

.elementor-location-footer .elementor-widget-nav-menu nav ul li a {
    width: max-content;
    padding-left: 16px !important;
    position: relative;
    z-index: 1;
}

.elementor-location-footer .elementor-widget-nav-menu nav ul li a:before {
    content: '';
    position: absolute;
    top: 2px;
    left: 0;
    width: 8px;
    height: 12px;
    background-image: url(assets/images/arrow_right.svg);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    opacity: 1 !important;
    visibility: visible !important;
}

/*footer css end*/

.image_grid {
    display: grid;
    grid-template-columns: 2.02fr 1fr 1fr;
    grid-template-rows: 0.8fr 1.2fr;
}

.image_grid>.elementor-widget-image:nth-child(4n + 1) {
    grid-column: 1;
    grid-row: span 2;
}

.image_grid>.elementor-widget-image:nth-child(4n + 2) {
    grid-column: 2;
    grid-row: 1;
    /* height: 186px; */
}

.image_grid>.elementor-widget-image:nth-child(4n + 3) {
    grid-column: 3;
    grid-row: 1;
}

.image_grid>.elementor-widget-image:nth-child(4n + 4) {
    grid-column: 2/4;
    grid-row: 2;
}

.image_grid>.elementor-widget-image .elementor-widget-container {
    padding-top: 113.414634%;
    border-radius: 15px;
    overflow: hidden;
    position: relative;
}

.image_grid>.elementor-widget-image:nth-child(4n + 4) .elementor-widget-container {
    padding-top: 76.945245%;
}

.image_grid>.elementor-widget-image .elementor-widget-container img {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.left-align .e-con-inner {
    margin-left: 0;
	position:relative;
}
.p-relative > .e-con-inner {
    position: relative;
}
.contact_form .elementor-field-type-radio .elementor-field-subgroup {
    width: 66%;
}

.contact_form .elementor-acceptance-field {
    position: absolute;
    top: 1px;
    appearance: none;
    width: 16px;
    height: 16px;
    border: solid 1px #fff;
    border-radius: 50%;
    background-color: transparent !important;
    left: 7px;
    cursor: pointer;
}
.elementor-field-option:has(.elementor-acceptance-field) {
    padding-left: 30px;
}
.contact_form :checked {
    background-color: #fff;
}
input[type="checkbox"]:checked{
    background-color: #fff !important;
}
.align-left .e-con-inner {
    margin-left: 0;
}
.align-right .e-con-inner{
    margin-right: 0;
}
.contact_form .elementor-field-type-radio .elementor-field-subgroup label {
    position: relative;
    padding-left: 26px;
    display: block;
    line-height: 1.3;
    cursor: pointer;
}
.contact_icon_list_info li:last-child span.elementor-icon-list-icon svg {
    visibility: hidden;
}
.contact_icon_list_info li:last-child span.elementor-icon-list-icon {
    background-image: url(https://adamf200.sg-host.com/wp-content/uploads/2025/06/Group-21-1.svg);
    background-repeat: no-repeat;
}

input[type=date], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea{
    padding: .63rem 1rem !important;
}




.contact_form .elementor-field-type-select .select-caret-down-wrapper {
    background-image: url(https://adamf200.sg-host.com/wp-content/uploads/2025/06/dwarrow.svg);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    width: 18px;
    height: 15px;
}

.contact_form .elementor-field-type-select .select-caret-down-wrapper i,
.contact_form .elementor-field-type-select .select-caret-down-wrapper svg {
    display: none;
}

.contact_form .elementor-field-type-select select {
    padding-right: 38px;
    cursor: pointer;
    padding: .63rem 1rem 6px !important;
}

.contact_form textarea {
    min-height: 141px;
    resize: none;
}
.contact_form label{
	color:#fff;
}
.contact_form input::placeholder,
.contact_form select::placeholder,
.contact_form textarea::placeholder {
    opacity: 1 !important;
}
.image_grid_two {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 0.5fr 0.5fr;
}

.image_grid_two .elementor-widget.elementor-widget-image:nth-child(1) {
    grid-row: 1/3;
}
textarea {
    padding: 12px 15px !important;
}
.elementor-field-group .elementor-field-textual{
    border-radius: 0;
}
.elementor-message.elementor-message-danger {
    color: #d9534f !important;
    display: block;
}
.elementor-field-option:has(.elementor-acceptance-field) .elementor-message {
    margin-left: -30px;
}
.elementor-field-group{
    align-items: flex-start;
}
.menu-item-has-children:has(.elementor-item-active) > a.has-submenu:after {
    opacity: 1 !important;
    
}
.menu_btn a{
    color: #fff !important;
    background-color: var(--e-global-color-69ac7dc) !important;
}
.menu_btn a:after{
    background-color: var(--e-global-color-69ac7dc) !important;
}
.menu_btn a:hover{
    color: var( --e-global-color-primary ) !important;
}
.menu_btn a:hover:after{
    background-color: var( --e-global-color-761bec5 ) !important;
}
@media (min-width: 1201px) and (max-width: 1365px) {
    .footer_row {
        --width: calc(100% + 60px) !important;
        --margin-left: -30px !important;
        --margin-right: -30px !important;
    }

    .footer_row .footer_col {
        --padding-left: 30px !important;
        --padding-right: 30px !important;
    }
}

@media (min-width: 1025px) and (max-width: 1200px) {
    .elementor-location-header .main_menu {
        --e-nav-menu-horizontal-menu-item-margin: calc(60px / 2) !important;
    }

    .footer_row {
        --width: calc(100% + 32px) !important;
        --margin-left: -16px !important;
        --margin-right: -16px !important;
    }

    .footer_row .footer_col {
        --padding-left: 16px !important;
        --padding-right: 16px !important;
    }
}

@media (min-width: 1025px) {
    .elementor-location-header .elementor-widget-nav-menu nav ul li.menu-item-has-children {
        position: relative;
        z-index: 1;
    }

    .elementor-location-header .elementor-widget-nav-menu nav ul li.menu-item-has-children>a {
        transition: all 0.4s ease;
    }

    .elementor-location-header .elementor-widget-nav-menu nav ul li.menu-item-has-children:hover>a {
        color: #fff !important;
        transition-delay: 0s;
    }

    .elementor-location-header .elementor-widget-nav-menu nav ul li.menu-item-has-children:hover>a:after,
    .elementor-location-header .elementor-widget-nav-menu nav ul li.menu-item-has-children>a.elementor-item-active:hover:after,
    .elementor-location-header .elementor-widget-nav-menu nav ul li.menu-item-has-children>a:not(.elementor-item-active):after {
        opacity: 0;
    }

    .elementor-location-header .elementor-widget-nav-menu nav ul li.menu-item-has-children.current-page-parent:not(:hover)>a:after {
        opacity: 1;
    }

    .elementor-location-header .elementor-widget-nav-menu nav ul li.menu-item-has-children>a {
        z-index: -2;
    }

    .elementor-location-header .elementor-widget-nav-menu nav ul li.menu-item-has-children:before {
        content: '';
        position: absolute;
        inset: -1px -14px;
        background-color: var(--e-global-color-secondary) !important;
        z-index: -2 !important;
        width: auto !important;
        height: auto !important;
        opacity: 0 !important;
        visibility: hidden;
        transition: opacity 0.4s ease, visibility 0.4s ease !important;
    }

    .elementor-location-header .elementor-widget-nav-menu nav ul li.menu-item-has-children>a span.sub-arrow {
        display: none;
    }

    /* .elementor-location-header .elementor-widget-nav-menu nav ul li.menu-item-has-children.current-page-parent:before, */
    /* .elementor-location-header .elementor-widget-nav-menu nav ul li.menu-item-has-children.current-menu-item:before, */
    .elementor-location-header .elementor-widget-nav-menu nav ul li.menu-item-has-children:hover:before {
        opacity: 1 !important;
        visibility: visible !important;
    }

    .elementor-location-header .elementor-widget-nav-menu nav ul li.menu-item-has-children .sub-menu {
        min-width: unset !important;
        --e-nav-menu-horizontal-menu-item-margin: 50% !important;
        inset: calc(100% + 1px) auto auto var(--e-nav-menu-horizontal-menu-item-margin) !important;
        width: calc(100% + 28px) !important;
        transform: translateX(-50%);
        display: block !important;
        opacity: 0;
        visibility: hidden;
        transition: all 0.4s ease !important;
    }

    .elementor-location-header .elementor-widget-nav-menu nav ul li.menu-item-has-children:hover>ul.sub-menu {
        opacity: 1;
        visibility: visible;
    }

    .elementor-location-header .elementor-widget-nav-menu nav ul li.menu-item-has-children .sub-menu li {
        border-top: 1px solid #114E76;
    }

    .elementor-location-header .elementor-widget-nav-menu nav ul li.menu-item-has-children .sub-menu a {
        word-break: break-word;
        white-space: normal;
        display: block;
        line-height: normal;
        text-align: center;
        border-left: 0 !important;
    }

    .elementor-location-header .elementor-widget-nav-menu nav ul .menu_btn {
        margin-inline-start: var(--e-nav-menu-horizontal-menu-item-margin) !important;
    }

    .elementor-location-header .elementor-widget-nav-menu nav ul .menu_btn a {
        margin: 0 !important;
        padding: 19px 37px 15px !important;
        border-radius: 30px;
        background-color: var(--e-global-color-69ac7dc);
        color: var(--e-global-color-fc596e2) !important;
        z-index: 1;
        position: relative;
    }

    .elementor-location-header .elementor-widget-nav-menu nav ul .menu_btn a:after {
        position: absolute;
        inset: 0;
        width: auto !important;
        height: auto !important;
        z-index: -1 !important;
        border-radius: 30px;
    }

    .elementor-location-header>.elementor-element.elementor-sticky--effects {
        --padding-top: 28px;
        --padding-bottom: 28px;
    }

    .elementor-location-header>.elementor-element.elementor-sticky--effects .logo_col {
        --width: 170px;
    }

    .elementor-location-header>.elementor-element.elementor-sticky--effects .logo_col+.elementor-element {
        --width: calc(100% - 170px);
    }
}
@media only screen and (max-width: 1200px) {
    .elementor-nav-menu a {
        margin: 0 20px 0 0 !important;
    }
    .contact_form .elementor-field-type-radio .elementor-field-subgroup {
        width: 100%;
    }
}
@media (max-width: 1024px) {
    .elementor-location-header .elementor-menu-toggle {
        padding: 0;
        display: block;
        width: 35px;
        height: 24px;
        position: relative;
        -ms-touch-action: manipulation;
        touch-action: manipulation;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        background-image: none;
        white-space: nowrap;
        z-index: 999;
        -webkit-transition: all 0.5s ease;
        transition: all 0.5s ease;
        /* border: 1px solid #ff6633; */
        box-shadow: none !important;
        outline: none !important;
        background: transparent !important;
    }
    .elementor-nav-menu a{
        margin: 0 !important;
    }
    .elementor-location-header .elementor-menu-toggle span,
    .elementor-location-header .elementor-menu-toggle span:after,
    .elementor-location-header .elementor-menu-toggle span:before {
        background: var(--e-global-color-primary);
        height: 4px;
        -webkit-transition: all 0.5s ease;
        transition: all 0.5s ease;
        border-radius: 10px;
    }

    .elementor-location-header .elementor-menu-toggle span {
        position: absolute;
        display: block !important;
        width: 100%;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        -webkit-transform: translate(-50%, -50%);
        -moz-transform: translate(-50%, -50%)
    }

    .elementor-location-header .elementor-menu-toggle span:after,
    .elementor-location-header .elementor-menu-toggle span:before {
        content: '';
        position: absolute;
        left: 0;
        width: 100%;
    }

    .elementor-location-header .elementor-menu-toggle span:before {
        top: -10px;
    }

    .elementor-location-header .elementor-menu-toggle span:after {
        bottom: -10px;
    }

    .elementor-location-header .elementor-menu-toggle.elementor-active span {
        background-color: rgba(0, 0, 0, .0)
    }

    .elementor-location-header .elementor-menu-toggle.elementor-active span:before {
        top: 0;
        transform: rotate(45deg);
        -webkit-transform: rotate(45deg);
        background-color: #fff !important;
    }

    .elementor-location-header .elementor-menu-toggle.elementor-active span:after {
        top: 0;
        transform: rotate(-45deg);
        -webkit-transform: rotate(-45deg);
        background-color: #fff !important;
    }


    .elementor-location-header .elementor-menu-toggle svg {
        display: none !important;
    }

    .elementor-location-header .elementor-widget-nav-menu nav.elementor-nav-menu--dropdown {
        position: fixed;
        inset: var(--wp-admin--admin-bar--height, 0px) 0 0 !important;
        transform: none !important;
        transition: all 0.3s ease !important;
        z-index: 1;
        padding: 150px 40px 40px;
        max-height: none !important;
        opacity: 0;
        visibility: hidden;
        display: flex;
        background-color: #104E76 !important;
    }

    .elementor-location-header .elementor-menu-toggle[aria-expanded="true"]+nav.elementor-nav-menu--dropdown {
        opacity: 1;
        visibility: visible;
    }

    .elementor-location-header .elementor-widget-nav-menu nav.elementor-nav-menu--dropdown>ul {
        max-height: 100%;
        overflow: hidden auto;
        width: 100%;
    }

    .elementor-location-header .elementor-widget-nav-menu nav.elementor-nav-menu--dropdown>ul>li:not(:first-child) {
        margin-top: 20px;
    }

    .elementor-location-header .elementor-widget-nav-menu nav.elementor-nav-menu--dropdown>ul li a {
        line-height: 1.2;
        background-color: transparent !important;
    }

    .elementor-location-header .elementor-widget-nav-menu nav.elementor-nav-menu--dropdown>ul .sub-menu {
        margin: 10px 0 0 15px;
        background-color: transparent !important;
    }

    .elementor-location-header .elementor-widget-nav-menu nav.elementor-nav-menu--dropdown>ul .sub-menu>li:not(:first-child) {
        margin-top: 12px;
    }

    .elementor-location-header .elementor-widget-nav-menu nav.elementor-nav-menu--dropdown>ul .sub-menu a {
        font-size: 18px !important;
        border: none;
    }

    .elementor-location-header .elementor-widget-nav-menu nav.elementor-nav-menu--dropdown>ul li.current-menu-parent>a,
    .elementor-location-header .elementor-widget-nav-menu nav.elementor-nav-menu--dropdown>ul li.current_page_item>a,
    .elementor-location-header .elementor-widget-nav-menu nav.elementor-nav-menu--dropdown>ul li a:hover {
        color: #fdcf36 !important;
    }

    .elementor-location-header.open .default_logo {
        opacity: 0;
        visibility: hidden;
    }

    .elementor-location-header .elementor-widget-nav-menu nav.elementor-nav-menu--dropdown>ul a svg path {
        fill: currentColor;
    }

    .elementor-location-header .elementor-menu-toggle .eicon-close {
        display: none;
    }
}

@media (max-width: 767px) {
    .elementor-location-header .elementor-widget-nav-menu nav.elementor-nav-menu--dropdown {
        padding: 108px 35px 30px;
    }
    .image_grid_two{
        gap:10px;
    }
    .elementor-location-header .elementor-widget-nav-menu nav.elementor-nav-menu--dropdown>ul .sub-menu a {
        font-size: 16px !important;
    }

    .elementor-location-header .menu-item-has-children>a {
        width: 100%;
        justify-content: space-between;
    }
}

@media only screen and (max-width:1024px){
    .elementor-nav-menu .sub-arrow{
        margin-block-start: -15px;
    }
}